## ksirk 4.13.0

=== CMakeLists.txt ===
project(ksirk)

if(NOT COMPILING_KDEGAMES)
	find_package(KDE4 REQUIRED)
	include(KDE4Defaults)
	include(MacroLibrary)
	find_package(KDEGames 4.9.0 REQUIRED)
	find_package(QCA2 REQUIRED)

	add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
	add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
	include_directories(${KDEGAMES_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QDBUS_INCLUDE_DIRS})

	macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" TRUE "2.0.0" "Needed to build Ksirk Jabber support's GroupWise and Jabberprotocols.")
	macro_display_feature_log()
endif(NOT COMPILING_KDEGAMES)

KDE4_NO_ENABLE_FINAL(ksirk)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

remove_definitions(-DQT_NO_STL) 

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)

=== ksirk/iris/src/CMakeLists.txt ===
# FIND_PACKAGE(QCA2 REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

set(libiris_SRCS
	#irisnet/appledns/appledns.cpp
	#irisnet/appledns/qdnssd.cpp
	irisnet/corelib/irisnetglobal.cpp
	irisnet/corelib/irisnetplugin.cpp
	irisnet/corelib/jdnsshared.cpp
	irisnet/corelib/netavailability.cpp
	irisnet/corelib/netinterface.cpp
	irisnet/corelib/netnames_jdns.cpp
	irisnet/corelib/netnames.cpp
	irisnet/corelib/objectsession.cpp
	irisnet/noncore/legacy/safedelete.cpp
	irisnet/noncore/legacy/ndns.cpp
	irisnet/noncore/legacy/servsock.cpp
	irisnet/noncore/legacy/srvresolver.cpp
	irisnet/noncore/processquit.cpp
	jdns/jdns_mdnsd.c
	jdns/jdns_packet.c
	jdns/jdns_sys.c
	jdns/jdns_util.c
	jdns/jdns.c
	jdns/qjdns_sock.cpp
	jdns/qjdns.cpp
	libidn/nfkc.c
	libidn/profiles.c
	libidn/rfc3454.c
	libidn/stringprep.c
  xmpp/base/randomnumbergenerator.cpp
  xmpp/base64/base64.cpp
  xmpp/cutestuff/bsocket.cpp
	xmpp/cutestuff/bytestream.cpp
	xmpp/cutestuff/httpconnect.cpp
	xmpp/cutestuff/httppoll.cpp
	xmpp/cutestuff/socks.cpp
  xmpp/sasl/digestmd5proplist.cpp
  xmpp/sasl/digestmd5response.cpp
  xmpp/sasl/plainmessage.cpp
  xmpp/zlib/zlibcompressor.cpp
  xmpp/zlib/zlibdecompressor.cpp
  xmpp/jid/jid.cpp
# 	xmpp/xmpp-core/compress.cpp
	xmpp/xmpp-core/compressionhandler.cpp
	xmpp/xmpp-core/connector.cpp
	xmpp/xmpp-core/parser.cpp
	xmpp/xmpp-core/protocol.cpp
	xmpp/xmpp-core/securestream.cpp
	xmpp/xmpp-core/simplesasl.cpp
	xmpp/xmpp-core/stream.cpp
	xmpp/xmpp-core/tlshandler.cpp
	xmpp/xmpp-core/xmlprotocol.cpp
  xmpp/xmpp-core/xmpp_stanza.cpp
  xmpp/xmpp-im/client.cpp
	xmpp/xmpp-im/filetransfer.cpp
	xmpp/xmpp-im/s5b.cpp
	xmpp/xmpp-im/types.cpp
	xmpp/xmpp-im/xmpp_discoinfotask.cpp
	xmpp/xmpp-im/xmpp_discoitem.cpp
	xmpp/xmpp-im/xmpp_features.cpp
	xmpp/xmpp-im/xmpp_ibb.cpp
	xmpp/xmpp-im/xmpp_task.cpp
	xmpp/xmpp-im/xmpp_tasks.cpp
	xmpp/xmpp-im/xmpp_vcard.cpp
	xmpp/xmpp-im/xmpp_xdata.cpp
  xmpp/xmpp-im/xmpp_xmlcommon.cpp
  )
if(UNIX)
  set(libiris_SRCS ${libiris_SRCS}
		irisnet/corelib/netinterface_unix.cpp
	)
endif(UNIX)
if(WIN32)
  set(libiris_SRCS ${libiris_SRCS}
		irisnet/corelib/netinterface_win.cpp
	)
    if(MINGW)
        add_definitions(-DWIN32)
    endif(MINGW)
endif(WIN32)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}/../..
	#irisnet/appledns
	irisnet/corelib
	irisnet/noncore
	irisnet/noncore/legacy
	jdns
	libidn
	xmpp/cutestuff
	xmpp/jid
	xmpp/xmpp-core
	xmpp/xmpp-im
  ${QCA2_INCLUDE_DIR}
  )

kde4_moc_headers(iris_ksirk
irisnet/corelib/jdnsshared.h
irisnet/corelib/netavailability.h
irisnet/corelib/netinterface.h
irisnet/corelib/netnames.h
irisnet/corelib/objectsession.h
irisnet/noncore/processquit.h
jdns/qjdns.h
xmpp/base/randrandomnumbergenerator.h
xmpp/base64/base64.h
xmpp/cutestuff/bsocket.h
xmpp/cutestuff/bytestream.h
xmpp/cutestuff/httpconnect.h
xmpp/cutestuff/socks.h
xmpp/cutestuff/httppoll.h
xmpp/sasl/digestmd5proplist.cpp
xmpp/sasl/digestmd5response.cpp
xmpp/sasl/plainmessage.cpp
xmpp/xmpp-core/xmpp.h
xmpp/xmpp-core/xmpp_clientstream.h
xmpp/xmpp-core/xmpp_stream.h
xmpp/xmpp-core/securestream.h
xmpp/xmpp-core/simplesasl.h
xmpp/xmpp-im/s5b.h
xmpp/xmpp-im/xmpp_client.h
xmpp/xmpp-im/xmpp_task.h
xmpp/zlib/common.h
xmpp/zlib/zlibcompressor.h
xmpp/zlib/zlibdecompressor.h
)


kde4_add_library(iris_ksirk SHARED ${libiris_SRCS})

set(iris_ksirk_libs ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}
${IDN_LIBRARY} ${QCA2_LIBRARIES} ${ZLIB_LIBRARIES})
if(WIN32)
  set(iris_ksirk_libs ${iris_ksirk_libs} ws2_32)
endif(WIN32)
  
if(HAVE_NSL_LIBRARY)
    # This is probably Solaris, and libiris needs to link
    # to libnsl for gethostbyname
  set(iris_ksirk_libs ${iris_ksirk_libs} nsl)
endif(HAVE_NSL_LIBRARY)
target_link_libraries(iris_ksirk ${iris_ksirk_libs})
    
set_target_properties(iris_ksirk PROPERTIES
                      VERSION 2.0.0
                      SOVERSION 2
                      COMPILE_FLAGS -DIRISNET_STATIC
                      )
install(TARGETS iris_ksirk ${INSTALL_TARGETS_DEFAULT_ARGS})
    
    ########### install files ###############

=== ksirk/skins/default/Images/CMakeLists.txt ===
set (pics_default_DATA
2DownArrow.png
2UpArrow.png
arena.svg
attackAuto.png
attackOne.png
attackThree.png
attackTwo.png
cancel.png
defendOne.png
defendTwo.png
downArrow.png
loader.gif
logoLeft.png
logoRight.png
map-mask.png
moveArmies.png
moveBackFive.png
moveBackOne.png
moveBackTen.png
moveFinish.png
moveFive.png
moveOne.png
moveTen.png
newNetGame.png
nextPlayer.png
pool.svg
recyclingFinished.png
recycling.png
snapshot.jpg
soldierKneeling.png
stopAttackAuto.png
upArrow.png
)
install( FILES ${pics_default_DATA} DESTINATION ${DATA_INSTALL_DIR}/ksirk/skins/default/Images/ )

## ksirk 4.10.0

=== debian/changelog ===
ksirk (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:02:45 +0000

ksirk (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:51:41 +0000

ksirk (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:42:16 +0100

ksirk (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:38:52 +0000

ksirk (4:4.9.90-0ubuntu1) raring; urgency=low

  * Initial release
  * Add build-dep on libqca2-dev, zlib1g-dev
  * Add kubuntu_01_lgpl.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:07:17 +0000

=== debian/control ===
Source: ksirk
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools,
               libqca2-dev,
               zlib1g-dev,
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: ksirk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data (>= ${source:Upstream-Version})
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 4.10.2

=== debian/changelog ===
ksirk (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:56:11 +0200

ksirk (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:37:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
                libqca2-dev,
                zlib1g-dev,

## ksirk 4.10.5

=== debian/changelog ===
ksirk (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:45:12 +0200

ksirk (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - drop version from kdegames-data dependency as libkdegames has no update

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:15:51 +0200

ksirk (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:56:11 +0200

ksirk (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:37:48 +0000

ksirk (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:02:45 +0000

ksirk (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:51:41 +0000

ksirk (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:42:16 +0100

ksirk (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:38:52 +0000

ksirk (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release
  * Add build-dep on libqca2-dev, zlib1g-dev
  * Add kubuntu_01_lgpl.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:07:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.5),
                libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools,
                libqca2-dev,
@@ -14,7 +14,7 @@
 
 Package: ksirk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data (>= ${source:Upstream-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply

## ksirk 4.11.2

=== debian/changelog ===
ksirk (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:39:06 +0100

ksirk (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:31:13 +0100

ksirk (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:27:28 +0100

ksirk (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:49:40 +0100

ksirk (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:02 +0000

ksirk (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:22:32 +0100

ksirk (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:33:56 +0100

ksirk (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * add not installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:41:32 +0100

ksirk (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:53 +0000

ksirk (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Apr 2013 16:08:18 +0200

ksirk (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Rebuild without libkdegamesprivate1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 May 2013 22:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,33 @@
 Source: ksirk
-Priority: extra
+Section: games
+Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: cmake,
-               debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.5),
-               libkdegames-dev (>= 4:4.10.2),
-               pkg-kde-tools,
-               libqca2-dev,
-               zlib1g-dev,
-Standards-Version: 3.9.3
-Section: games
-Homepage: http://www.kde.org
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Daniel Schepler <schepler@debian.org>,
+ Sune Vuorela <sune@debian.org>,
+ Fathi Boudra <fabo@debian.org>,
+ Modestas Vainius <modax@debian.org>,
+ George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+ Eshat Cakar <info@eshat.de>,
+ Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+ Maximiliano Curia <maxy@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
+ cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
+ kdelibs5-dev (>= 4:4.11.2),
+ libkdegames-dev (>= 4:4.11.2),
+ libqca2-dev,
+ zlib1g-dev
+Standards-Version: 3.9.4
+Homepage: http://games.kde.org/
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ksirk.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ksirk.git
 
 Package: ksirk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: khelpcenter4
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply
@@ -28,3 +41,4 @@
  conquered all the world.
  .
  This package is part of the KDE games module.
+

## ksirk 4.11.3

=== debian/changelog ===
ksirk (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:02:58 +0000

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3),
+ libkdegames-dev (>= 4:4.11.3),
  libqca2-dev,
  zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ksirk.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ksirk.git

## ksirk 4.12.3

=== debian/changelog ===
ksirk (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:45:54 +0100

ksirk (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:07:03 +0100

ksirk (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:13:47 +0000

ksirk (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:28:32 +0000

ksirk (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:24:44 +0000

ksirk (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:24:15 +0000

ksirk (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:21:27 +0100

ksirk (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:49:21 +0100

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.3),
- libkdegames-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3),
+ libkdegames-dev (>= 4:4.12.3),
  libqca2-dev,
  zlib1g-dev
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/ksirk.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/ksirk.git

## ksirk 4.13.0

=== debian/changelog ===
ksirk (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:14:49 +0100

ksirk (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:41:12 +0200

ksirk (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:41:30 +0100

ksirk (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:12:28 +0000

ksirk (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.12.3),
- libkdegames-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0),
  libqca2-dev,
  zlib1g-dev
 Standards-Version: 3.9.4

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/ksirk-([\d\.]*).tar.xz

## ksirk 4.14.0

=== debian/changelog ===
ksirk (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 21:57:22 +0200

ksirk (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 10:27:19 +0200

ksirk (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian-overrides for non licensing text.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:13 +0200

ksirk (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:24 +0100

ksirk (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:27:39 +0100

ksirk (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:28:50 +0200

ksirk (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:56:20 +0200

ksirk (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

  [ Maximiliano Curia ]
  * Add dep3 header to static-private-library.diff.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:53:58 +0200

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               libqca2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14),
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ksirk.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ksirk.git

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/ksirk-([\d.]+).tar.xz

## ksirk 4.14.1

=== debian/changelog ===
ksirk (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:34:50 +0200

ksirk (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:23:30 +0200

ksirk (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:09:28 +0200

ksirk (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:34:27 +0200

ksirk (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:26:59 +0200

ksirk (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,16 +14,18 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ksirk.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ksirk.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ksirk.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ksirk.git
 
 Package: ksirk
 Architecture: any

## ksirk 4.14.2

=== debian/changelog ===
ksirk (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:58:14 +0200

ksirk (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:09:56 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),

## ksirk 14.12.3

=== debian/changelog ===
ksirk (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:31:43 -0700

ksirk (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:35:01 -0800

ksirk (4:14.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 10:31:54 -0800

ksirk (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:45 +0100

ksirk (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:09:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,24 +12,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.2),
-               libkdegames-dev (>= 4:4.14.2),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
+               libkdegames-dev (>= 4:14.12.3),
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/ksirk
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ksirk.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ksirk.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ksirk.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ksirk.git
 
 Package: ksirk
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: khelpcenter4
+Recommends: khelpcenter
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply

## ksirk 15.08.2

=== debian/changelog ===
ksirk (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:44:25 +0100

ksirk (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:22:56 +0100

ksirk (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:37:29 +0100

ksirk (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:12:46 +0100

ksirk (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * kde4 games need to depend on 14.12 series libkdegames. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:22:12 +0200

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.3),
+               libkdegames-dev,
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ksirk.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ksirk.git

## ksirk 15.12.3

=== doc/CMakeLists.txt ===
add_subdirectory(ksirkskineditor)

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR ksirk)

=== debian/changelog ===
ksirk (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:50:47 -0700

ksirk (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:06:32 +0100

ksirk (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:58 +0100

ksirk (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Feb 2015 18:09:15 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ksirk.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ksirk.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ksirk.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ksirk.git
 
 Package: ksirk
 Architecture: any

## ksirk 16.04.0

=== ksirk/skins/default/Images/work/sprites/CMakeLists.txt ===
set (sprites_default_DATA 
belgium.svg 
cannon.svg 
cavalry.svg 
exploding.svg 
firing.svg 
france.svg 
infantry.svg 
infantry1.svg 
infantry2.svg 
infantry3.svg 
italy.svg 
japan.svg 
uk.svg 
us.svg)

install( FILES ${sprites_default_DATA} DESTINATION ${DATA_INSTALL_DIR}/ksirk/skins/default/Images/sprites )

=== debian/changelog ===
ksirk (4:16.04.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch: fix-signage-of-tbl-array.diff to fix FTBFS on
    architectures where 'char' is unsigned. (Closes: #856904)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 06 Mar 2017 10:44:11 +0100

ksirk (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop patch: static-private-library.diff
  * Install the shared lib

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:36:17 +0200

=== debian/control ===
--- 
+++ 
@@ -14,15 +14,15 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libkdegames-dev,
+               libkdegames-dev (>= 4:14.12.0),
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ksirk.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ksirk.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ksirk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ksirk.git
 
 Package: ksirk
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ksirk-([\d.]+).tar.xz

## ksirk 16.12.3

=== debian/changelog ===
ksirk (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)
  * Drop upstream applied patch.

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:35 +0000

ksirk (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Add patch to fix FTBFS with GCC6 on architectures where char
    is unsigned by default
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:12 +0000

ksirk (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: no remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Override the embedded libidn error as that's part of iris

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,16 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.0),
+               kdelibs5-dev (>= 4:4.14.30~),
+               libkdegames-dev,
                libqca2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.14),
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/ksirk.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/ksirk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
 
 Package: ksirk
 Architecture: any

## ksirk 17.04.3

=== debian/changelog ===
ksirk (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Install new appstream data & renamed desktop file

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * ksirk.install: install usr/
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:37 +0100

ksirk (4:16.12.1-0ubuntu2) UNRELEASED; urgency=medium

  * Drop 'fix-GCC6-FTBFS-with-signed-char' patch - applied upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 07 Feb 2017 18:49:13 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libkdegames-dev,
                libqca2-dev,
                pkg-config,

## ksirk 17.12.3

=== CMakeLists.txt ===
project(ksirk)
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.2.0")
set (KF5_MIN_VERSION "5.15.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    IconThemes
    KIO
    NewStuff
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)
find_package(Phonon4Qt5 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)

kde_enable_exceptions()

remove_definitions(-DQT_NO_STL) 

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== ksirk/skins/CMakeLists.txt ===
add_subdirectory( default )
# add_subdirectory( static )
# add_subdirectory( realpol )

install(FILES skinsdir DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins )

=== ksirk/skins/legacy/Data/CMakeLists.txt ===

install(FILES world.desktop DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/default/Data )

=== debian/changelog ===
ksirk (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:28 +0000

ksirk (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Port to KF5
  * New upstream release (17.11.80)
  * Add build dep on libphononexperimental-dev
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:22 +0000

ksirk (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,29 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.34~),
+               extra-cmake-modules (>= 5.15.0),
                libkdegames-dev,
-               libqca2-dev,
+               libkf5completion-dev (>= 5.15.0),
+               libkf5config-bin-dev (>= 5.15.0),
+               libkf5configwidgets-dev (>= 5.15.0),
+               libkf5coreaddons-dev (>= 5.15.0),
+               libkf5crash-dev (>= 5.15.0),
+               libkf5doctools-dev (>= 5.15.0),
+               libkf5i18n-dev (>= 5.15.0),
+               libkf5iconthemes-dev (>= 5.15.0),
+               libkf5kdegames-dev (>= 4:17.12.3~),
+               libkf5kio-dev (>= 5.15.0),
+               libkf5newstuff-dev (>= 5.15.0),
+               libkf5wallet-dev (>= 5.15.0),
+               libkf5widgetsaddons-dev (>= 5.15.0),
+               libkf5xmlgui-dev (>= 5.15.0),
+               libphonon4qt5-dev (>= 4.9.51),
+               libphonon4qt5experimental-dev,
+               libqca-qt5-2-dev (>= 2.1.0),
+               libqt5svg5-dev (>= 5.2.0),
                pkg-config,
                pkg-kde-tools (>= 0.14),
+               qtbase5-dev (>= 5.2.0),
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
@@ -28,6 +45,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ksirk-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ksirk-([\d.]+).tar.xz

## ksirk 18.04.1

=== doc/CMakeLists.txt ===
add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)

=== debian/changelog ===
ksirk (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * use signature for upstream tarball.
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:31:01 +0200

ksirk (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874990)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, libkdegames-dev, and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev,
      libkf5i18n-dev, libkf5newstuff-dev, libkf5wallet-dev,
      libkf5widgetsaddons-dev, libkf5xmlgui-dev, libkf5kdegames-dev,
      libphonon4qt5-dev, libphonon4qt5experimental-dev, and libqca-qt5-2-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Use https for Format in copyright.
  * Break/replace against kde-l10n that ships translations.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:24:49 +0100

ksirk (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879373)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop ksirk.install, no more useful now
    - make sure to not ship development .so symlinks, and static libraries
    - drop not-installed, no more needed now
  * Update the patches:
    - fix-signage-of-tbl-array.diff: drop, fixed upstream
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:48:41 +0100

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.15.0~),
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kio-dev (>= 5.15.0~),
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5wallet-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5svg5-dev (>= 5.2.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.2.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.
